Bug 1533795 - Useless dependency on time package
Summary: Useless dependency on time package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: winetricks
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Rosser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-12 09:13 UTC by Petr Pisar
Modified: 2018-02-06 15:28 UTC (History)
1 user (show)

Fixed In Version: winetricks-20171222-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-06 15:28:29 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1344115 0 medium CLOSED Review Request: winetricks - Work around common problems in Wine 2021-02-22 00:41:40 UTC

Internal Links: 1344115

Description Petr Pisar 2018-01-12 09:13:11 UTC
winetricks-20171018-1.fc28 run-requires "time" package, but I cannot find where the the /usr/bin/time program could be executed from the programs delivered within winetricks.

The only place where the program is used is tests/winetricks-test and .travis.yml. But none of them is packaged. Therefore I conclude the run-time dependency on the "time" package is wrong.

Please note there was similar question in the package review (bug #1344115 comment #8) without answer.

Comment 1 Raphael Groner 2018-01-12 20:08:56 UTC
No idea why this dependency exists, maybe lost from a prior update.

Currently, I am delegating the package.
Ben, can you have a look into this issue?

Comment 2 Ben Rosser 2018-01-23 03:49:53 UTC
I took a look at this; it does appear that the "time" dependency is unnecessary. I've removed it as part of the update to the latest release, 20171222.

(See also https://bugzilla.redhat.com/show_bug.cgi?id=1528622)

Comment 3 Fedora Update System 2018-01-23 04:06:04 UTC
winetricks-20171222-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-6321b90665

Comment 4 Fedora Update System 2018-01-23 23:42:53 UTC
winetricks-20171222-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-6321b90665

Comment 5 Fedora Update System 2018-02-06 15:28:29 UTC
winetricks-20171222-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.